FinTech

This article lays out Midland States bank's FinTech API suite. These APIs can be used to perform banking actions like creating a customers. accounts, and transacting on created accounts.

Disclaimer: These APIs are still currently being designed and may be subject to change

Getting Started

The Midland States Bank FinTech API allows Partners to:

  • Create Customers and Accounts

  • Initiate funding and transfers

  • Access balances and transaction history

  • Calculate interest accrued

  • Fetch statement data

Prerequisites

Before you begin, make sure you have all of the following:

  • Sandbox access approved

  • Client ID and Client Secret

  • IP Addresses whitelisted

The Midland Custom Dev team will assist with all of these items, please reach out with any questions or issues. (CustomDev@midlandsb.com)

Authentication

The Midland API uses OAuth 2.0 for all API requests.

Request:

curl -X POST https://uat.api.midlandsb.com/oauth/token \ 
-d grant_type=client_credentials \
-d client_id=YOUR_CLIENT_ID \
-d client_secret=YOUR_CLIENT_SECRET

Response:

{
"access_token": "...",
"expires_in": 3600
}

This access token will be used in all subsequent requests.

Application Flow

Note: The Application Flow process is for on-boarding a Customer by Fintech partners that are required to do KYC/KYB checks as part of their agreement with Midland. If you do not need to perform KYC/KYB, please use the Customer Create endpoint. If you are unsure please contact your Midland rep or the Custom Dev team (CustomDev@midlandsb.com).

The Application endpoint is the first step in a two-part process. First, you will submit the Customer's info via the Application endpoint, which will return an Application ID. Then, you will poll the status of that Application with the Application Status endpoint.

Application → Check Application Status → Create Account(s)

Application Status

Note: This is the second step in the Application Flow process, see Application Create.

Statuses:

  • In Progress: Application is being processed by the system

  • Manual Review: Application is being reviewed by Midland's Banking team

  • Declined: The Application has been declined

  • Approved: The Application has been approved

In Progress indicates that there are still automated processes running, and you should poll again shortly (~1-2 minutes). Manual Review involves reaching out to the customer to verify information or collect documentation - polling should slow no more often than hourly.If an Application is Approved, the Customer will be automatically booked into our Core, and the response body will come back with a customerId that will be used in the Create Account endpoint.

Create Customer

Note:The Create Customer endpoint is for onboarding a Customer by Fintech partners that are not required to do KYC/KYB checks as part of their agreement with Midland. If you do need to perform KYC/KYB, please use the Application Create endpoint. If you are unsure please contact your Midland rep or the Custom Dev team (CustomDev@midlandsb.com).

This endpoint books a Customer into Midland's Core system. When a Customer is successfully created, the response body will come back with a customerId that will be used in the Create Account endpoint.